package com.kmall.admin.service.impl;

import com.kmall.admin.dao.MngChangeDao;
import com.kmall.admin.entity.MngChangeEntity;
import com.kmall.admin.service.MngChangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 库存变化表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-03-11 10:29:49
 */
@Service("mngChangeService")
public class MngChangeServiceImpl implements MngChangeService {
    @Autowired
    private MngChangeDao mngChangeDao;

    @Override
    public MngChangeEntity queryObject(Integer id) {
        return mngChangeDao.queryObject(id);
    }

    @Override
    public List<MngChangeEntity> queryList(Map<String, Object> map) {
        return mngChangeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mngChangeDao.queryTotal(map);
    }

    @Override
    public int save(MngChangeEntity mngChange) {
        return mngChangeDao.save(mngChange);
    }

    @Override
    public int update(MngChangeEntity mngChange) {
        return mngChangeDao.update(mngChange);
    }

    @Override
    public int delete(Integer id) {
        return mngChangeDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return mngChangeDao.deleteBatch(ids);
    }
}
